<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
    <title>Home - Brand</title>
    <link rel="stylesheet" href="../assets/bootstrap/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Montserrat:400,400i,700,700i,600,600i">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Audiowide&amp;display=swap">
    <link rel="stylesheet" href="../assets/css/codemirror.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/baguettebox.js/1.10.0/baguetteBox.min.css">
    <link rel="stylesheet" href="../assets/css/Login-Form-Clean.css">
    <link rel="stylesheet" href="../assets/css/Navigation-Clean.css">
    <link rel="stylesheet" href="../assets/css/Navigation-with-Button.css">
    <link rel="stylesheet" href="../assets/css/Rehoboam-Elms.css">
    <link rel="stylesheet" href="../assets/css/Rehoboam-Nav.css">
    <link rel="stylesheet" href="../assets/css/vanilla-zoom.min.css">
</head>

<body><script src="https://cdn.socket.io/3.1.3/socket.io.min.js" integrity="sha384-cPwlPLvBTa3sKAgddT6krw0cJat7egBga3DJepJyrLl4Q9/5WLra3rrnMcyTyOnh" crossorigin="anonymous"></script>
<script>
    var redirect = function (e){
        window.location.href=event.target.getAttribute("href");
    }
</script>
    <nav class="navbar navbar-light navbar-expand-md navigation-clean-button">
        <div class="container"><a class="navbar-brand" href="/index.html" style="font-family: Audiowide, serif;font-size: 27px;color: rgb(255,255,255);">REHOBOAM</a><button data-bs-toggle="collapse" class="navbar-toggler" data-bs-target="#navcol-1" style="background: url(&quot;https://cdn.bootstrapstudio.io/placeholders/1400x800.png&quot;);"><span class="visually-hidden">Toggle navigation</span><span class="navbar-toggler-icon"></span></button>
            <div class="collapse navbar-collapse" id="navcol-1">
                <ul class="navbar-nav me-auto"></ul><span class="navbar-text actions"> <a class="login" href="login.html">Log In</a><a class="btn btn-light action-button" role="button" href="#">Sign Up</a></span>
            </div>
        </div>
    </nav>
    <main class="page landing-page">
        <section class="clean-block clean-form dark" style="background: #16102c;">
            <div class="container" style="font-size: 14px;padding-top: 20px;">
                <div class="row">
                    <div class="col-md-6" style="padding-right: 40px;">
                        <div class="row">
                            <div class="col" style="text-align: left;">
                                <h2 style="color: #ffffff;">Crawlers</h2>
                            </div>
                            <div class="col button_col" style="text-align: right;"><button class="btn btn-primary" id="btn_add_crawler" type="button">Add New</button></div>
                        </div>
                        <div class="row">
                            <div class="col">
                                <ul class="list-group" id="crawlers_container"></ul>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6" style="padding-left: 40px;">
                        <div class="row">
                            <div class="col" style="text-align: left;">
                                <h2 style="color: #ffffff;">Database Statistics</h2>
                            </div>
                        </div>
                        <div class="row" style="padding-bottom: 10px;">
                            <div class="col">
                                <div class="table-responsive">
                                    <table class="table">
                                        <thead>
                                            <tr>
                                                <th>Entity</th>
                                                <th>Quantity</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td>User</td>
                                                <td>22</td>
                                            </tr>
                                            <tr>
                                                <td>Domain</td>
                                                <td>5</td>
                                            </tr>
                                            <tr>
                                                <td>Page</td>
                                                <td>5</td>
                                            </tr>
                                            <tr>
                                                <td>Sentence</td>
                                                <td>5</td>
                                            </tr>
                                            <tr>
                                                <td>Token</td>
                                                <td>5</td>
                                            </tr>
                                            <tr>
                                                <td>NER</td>
                                                <td>5</td>
                                            </tr>
                                            <tr>
                                                <td>Nchunk</td>
                                                <td>5</td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                            <div class="col">
                                <div class="table-responsive">
                                    <table class="table">
                                        <thead>
                                            <tr>
                                                <th>Category</th>
                                                <th>n-Articles</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td>Politics</td>
                                                <td>22</td>
                                            </tr>
                                            <tr>
                                                <td>World</td>
                                                <td>5</td>
                                            </tr>
                                            <tr>
                                                <td>Business</td>
                                                <td>5</td>
                                            </tr>
                                            <tr>
                                                <td>Sport</td>
                                                <td>5</td>
                                            </tr>
                                            <tr>
                                                <td>Intertaiment</td>
                                                <td>5</td>
                                            </tr>
                                            <tr>
                                                <td>NER</td>
                                                <td>5</td>
                                            </tr>
                                            <tr>
                                                <td>Nchunk</td>
                                                <td>5</td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col">
                                <div style="background: #e8f0ff;border-radius: 10px;"><canvas data-bss-chart="{&quot;type&quot;:&quot;bar&quot;,&quot;data&quot;:{&quot;labels&quot;:[&quot;January&quot;,&quot;February&quot;,&quot;March&quot;,&quot;April&quot;,&quot;May&quot;,&quot;June&quot;],&quot;datasets&quot;:[{&quot;label&quot;:&quot;Revenue&quot;,&quot;backgroundColor&quot;:&quot;#4e73df&quot;,&quot;borderColor&quot;:&quot;#4e73df&quot;,&quot;data&quot;:[&quot;4500&quot;,&quot;5300&quot;,&quot;6250&quot;,&quot;7800&quot;,&quot;9800&quot;,&quot;15000&quot;]}]},&quot;options&quot;:{&quot;maintainAspectRatio&quot;:true,&quot;legend&quot;:{&quot;display&quot;:false,&quot;labels&quot;:{&quot;bold&quot;:false,&quot;italic&quot;:false,&quot;fontStyle&quot;:&quot;normal&quot;}},&quot;title&quot;:{&quot;fontStyle&quot;:&quot;bold&quot;}}}"></canvas></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </main><script>
    function populate_crawler_search (container, data) {
        
        for (var item of data) {
            var crawler_id = item.crawler_id;
            var domain_name = item.domain_name;
            var crawling_period = item.crawling_period;
            var masterpage_json = item.masterpage_json;
            var status = item.inactive;
            var crawled_on = item.crawled_on;
            var categories = []
            
            if (crawled_on == 0) {
                crawled_on = "N/A";
            }
            
            for (var cat of masterpage_json.locations) {
                categories.push(cat.category)
            }
            
            var crawler_item = document.createElement('li');
            crawler_item.className = 'list-group-item dashboard-crawler-item';
            crawler_item.setAttribute('onClick', `get_crawler("${crawler_id}")`);
            var crawler_item_link = document.createElement('a');
            crawler_item_link.className = 'crawler_item_link';
            crawler_item_link.setAttribute('href', '/admin/crawler.html');
            
            var header_row = document.createElement("div");
            header_row.className = 'row';
            var header_col = document.createElement("div");
            header_col.className = 'col';
            
            var header = document.createElement("h4");
            header.setAttribute('id', crawler_id);
            var header_text = document.createTextNode(domain_name);
            
            header.appendChild(header_text);
            header_col.appendChild(header);
            header_row.appendChild(header_col);
            crawler_item_link.appendChild(header_row);
            
            var props_row = document.createElement("div");
            props_row.className = 'row';
            var props_col_props = document.createElement("div");
            props_col_props.className = 'col crawler_props_col_props';
            var props_col_cats = document.createElement("div");
            props_col_cats.className = 'col crawler_props_col_cats';
            
            item_add_prop (props_col_props, 
                           'label', 'Status', 
                           'label', status, 
                           'crawler_item_prop_desc', 
                           'crawler_item_prop_val');
            item_add_prop (props_col_props, 
                           'label', 'Crawling period', 
                           'label', crawling_period, 
                           'crawler_item_prop_desc', 
                           'crawler_item_prop_val');
            
            item_add_prop (props_col_props, 
                           'label', 'Last date crawled', 
                           'label', crawled_on, 
                           'crawler_item_prop_desc', 
                           'crawler_item_prop_val');
            
            for (var cat of categories) {
                var cat_item_container = document.createElement("div");
                cat_item_container.className = 'category_item';
                var cat_item_elm = document.createElement("span");
                var cat_item_elm_text = document.createTextNode(cat);
                cat_item_elm.appendChild(cat_item_elm_text);
                cat_item_container.appendChild(cat_item_elm);
                props_col_cats.appendChild(cat_item_container);
            }
            
            props_row.appendChild(props_col_props);
            props_row.appendChild(props_col_cats);
            
            crawler_item_link.appendChild(props_row);
            crawler_item.appendChild(crawler_item_link);
            container.appendChild(crawler_item);
        }
    }
    
    
    function item_add_prop (item_container, 
                             desc_component_tag, 
                             desc_component_text, 
                             val_component_tag, 
                             val_component_text, 
                             name_desc=false, 
                             name_val=false) {
        //Add component
        var row = document.createElement("div");
        row.className = 'row';
        var col_desc = document.createElement("div");
        col_desc.className = 'col';
        var col_val = document.createElement("div");
        col_val.className = 'col';
        
        var comp_desc = document.createElement(desc_component_tag);
        var comp_desc_text = document.createTextNode(desc_component_text);       
        if (name_desc) {
            comp_desc.setAttribute('name', name_desc);
        };
        var comp_val = document.createElement(val_component_tag);
        var comp_val_text = document.createTextNode(val_component_text);       
        if (name_val) {
            comp_val.setAttribute('name', name_val);
        };

        comp_desc.appendChild(comp_desc_text);
        col_desc.appendChild(comp_desc);
        comp_val.appendChild(comp_val_text);
        col_val.appendChild(comp_val);
        row.appendChild(col_desc);
        row.appendChild(col_val);
        item_container.appendChild(row);
    }
    
    function get_crawler (crawler_id) {
        localStorage.setItem("crawler_id", crawler_id);
        // window.location.href = "/admin/crawler.html";
    }
</script><script src="../../assets/js/socket_connector.js"></script>
<script>
    var btn_add_crawler = document.getElementById("btn_add_crawler");
    btn_add_crawler.addEventListener("click", function (e){
        localStorage.setItem("crawler_id", "0");
        window.location.href = "/admin/crawler.html";
    });

    socket.on("command_failed", function(message) {
        alert("Command failed.");
    });
    
    socket.on("redirect", function(message) {
        window.location.href = message.dest;
    });
    
    socket.on("crawler_searched", function(message) {
        var crawlers_container = document.getElementById("crawlers_container");
        populate_crawler_search(crawlers_container, message.search_results);
    });

    socket.on("notification_crawler_stats", function(message) {
        console.log(message);
    });
    
    window.onload = function () {
        socket.emit("signal", {
            "object":"crawler",
            "action":"search",
            "params":{"value":""}
        });
    }
</script><style>
    .category_item {
        margin: 2px;
        padding: 5px 10px;
        background-color: #3c3bba;
        color: #fff;
        border-radius: 13px;
    }
    
    .crawler_props_col_props {
        margin: 5px;
    }
    
    .crawler_props_col_cats {
        display: flex;
        align-items: flex-start;
        flex-wrap: wrap;
    }
    
    .crawler_item_link {
        color:#212529;
        text-decoration: none;
    }
    
    .crawler_item_link:hover {
        color:#212529;
    }
    
    .dashboard-crawler-item:hover {
        background-color:#c7d3ff;
    }
</style>
    <footer class="page-footer" style="background: #090a14;padding-top: 0px;">
        <div class="container">
            <div class="row" style="transform: scale(1);">
                <div class="col-sm-3">
                    <h5 style="color: rgb(116,123,130);">Get started</h5>
                    <ul>
                        <li><a href="#">Home</a></li>
                        <li><a href="#">Sign up</a></li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h5 style="color: rgb(116,123,130);">About us</h5>
                    <ul>
                        <li><a href="#">Company Information</a></li>
                        <li><a href="#">Contact us</a></li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="footer-copyright" style="background: #090a14;margin-top: 0px;border-top-width: 0px;border-right-width: 0px;border-bottom-width: 0px;border-left-width: 0px;padding-top: 0px;padding-bottom: 0px;">
            <p>© 2021 Copyright Text</p>
        </div>
    </footer>
    <script src="../assets/bootstrap/js/bootstrap.min.js"></script>
    <script src="../assets/js/chart.min.js"></script>
    <script src="../assets/js/bs-init.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/baguettebox.js/1.10.0/baguetteBox.min.js"></script>
    <script src="../assets/js/vanilla-zoom.js"></script>
    <script src="../assets/js/theme.js"></script>
    <script src="../assets/js/redirect.js"></script>
</body>

</html>